<?php
/**
 * Action 
 */
namespace Qii\Base;

class Action extends Controller
{
    public $controllerId;
    public $actionId;
    public $response;

    public function __get($name) {
        if (property_exists($this->controller, $name)) {
            return $this->controller->$name;
        }
    }
    public function getMiddleware()
    {
        return [];
    }

    public function __call($method, $args)
    {
    	return call_user_func_array(array($this->controller, $method), $args);
    }
}